Package javassist.bytecode

# Class BootstrapMethodsAttribute

java.lang.Object
javassist.bytecode.AttributeInfo
javassist.bytecode.BootstrapMethodsAttribute

public class BootstrapMethodsAttribute extends AttributeInfo

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`BootstrapMethodsAttribute.BootstrapMethod`
An element of `bootstrap_methods`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`tag`
The name of this attribute `"BootstrapMethods"`.

## Constructor Summary

Constructors
Constructor
Description
`BootstrapMethodsAttribute(ConstPool cp, BootstrapMethodsAttribute.BootstrapMethod[] methods)`
Constructs a BootstrapMethods attribute.

## Method Summary

Modifier and Type
Method
Description
`AttributeInfo`
`copy(ConstPool newCp, Map<String,String> classnames)`
Makes a copy.
`BootstrapMethodsAttribute.BootstrapMethod[]`
`getMethods()`
Obtains `bootstrap_methods` in this attribute.

### Methods inherited from class javassist.bytecode.AttributeInfo

`get, getConstPool, getName, length, set`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tag

public static final String tag
The name of this attribute `"BootstrapMethods"`.

See Also:
  - Constant Field Values

## Constructor Details

### BootstrapMethodsAttribute

public BootstrapMethodsAttribute(ConstPool cp, BootstrapMethodsAttribute.BootstrapMethod[] methods)
Constructs a BootstrapMethods attribute.

Parameters:
  `cp` - a constant pool table.
  `methods` - the contents.

## Method Details

### getMethods

public BootstrapMethodsAttribute.BootstrapMethod[] getMethods()
Obtains `bootstrap_methods` in this attribute.

Returns:
  an array of `BootstrapMethod`. Since it is a fresh copy, modifying the returned array does not affect the original contents of this attribute.

### copy

public AttributeInfo copy(ConstPool newCp, Map<String,String> classnames)
Makes a copy. Class names are replaced according to the given `Map` object.

Overrides:
  `copy` in class `AttributeInfo`
Parameters:
  `newCp` - the constant pool table used by the new copy.
  `classnames` - pairs of replaced and substituted class names.